﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;


namespace WpfApplication285
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void buttonTool_Click(object sender, RoutedEventArgs e)
        {
            ButtonTool bt = (ButtonTool)e.OriginalSource;

            switch (bt.Id)
            {
                case "btnBold":
                    MessageBox.Show("Bold Button");
                    break;
                case "btnItalic":
                    MessageBox.Show("Italic Button");
                    break;
                case "btnUnderline":
                    MessageBox.Show("Underline Button");
                    break;
            }
        }

        private void TextEditorTool_Loaded(object sender, RoutedEventArgs e)
        {
            TextEditorTool tet = sender as TextEditorTool;

            if (!tet.IsOnQat)
            {
                TextBlock tb = Infragistics.Windows.Utilities.GetDescendantFromType(sender as DependencyObject, typeof(TextBlock), false) as TextBlock;
                tb.Visibility = Visibility.Collapsed;
            }
        }

    }
}
